=== debian/changelog ===
ros-indigo-mastering-ros-demo-pkg (0.0.2-0trusty) trusty; urgency=high

  * Update code, remove CHANGELOg
  * Contributors: lentin

 -- robot <robot@todo.todo>  Fri, 16 Oct 2015 18:30:00 -0000
